dependabot[bot] opened a new pull request #72: Bump twisted from 18.7.0 to 
19.7.0 in /core/python3AiAction
URL: https://github.com/apache/openwhisk-runtime-python/pull/72
 
 
   Bumps [twisted](https://github.com/twisted/twisted) from 18.7.0 to 19.7.0.
   <details>
   <summary>Changelog</summary>
   
   *Sourced from [twisted's 
changelog](https://github.com/twisted/twisted/blob/trunk/NEWS.rst).*
   
   > Twisted 19.7.0 (2019-07-28)
   > ===========================
   > 
   > Features
   > --------
   > 
   > - The callable argument to twisted.internet.task.deferLater() is no longer 
required. 
([#9577](https://github-redirect.dependabot.com/twisted/twisted/issues/9577))
   > - Twisted's minimum Cryptography requirement is now 2.5. 
([#9592](https://github-redirect.dependabot.com/twisted/twisted/issues/9592))
   > - twisted.internet.utils.getProcessOutputAndValue now accepts `stdinBytes` 
to write to the child process's standard input. 
([#9607](https://github-redirect.dependabot.com/twisted/twisted/issues/9607))
   > - Add new twisted.logger.capturedLogs context manager for capturing 
observed log events in tests. 
([#9617](https://github-redirect.dependabot.com/twisted/twisted/issues/9617))
   > - twisted.internet.base.PluggableResolverMixin, which implements the 
pluggable resolver interfaces for easier re-use in other reactors, has been 
factored out of ReactorBase. 
([#9632](https://github-redirect.dependabot.com/twisted/twisted/issues/9632))
   > - The PyPI page for Twisted has been enhanced to include more information 
and useful links. 
([#9648](https://github-redirect.dependabot.com/twisted/twisted/issues/9648))
   > 
   > 
   > Bugfixes
   > --------
   > 
   > - twisted.internet.endpoints is now importable on Windows when pywin32 is 
not installed. 
([#6032](https://github-redirect.dependabot.com/twisted/twisted/issues/6032))
   > - twisted.conch.ssh now generates correct keys when using hmac-sha2-512 
with SHA1 based KEX algorithms. 
([#8258](https://github-redirect.dependabot.com/twisted/twisted/issues/8258))
   > - twisted.internet.iocpreactor.abstract.FileHandle no longer 
duplicates/looses outgoing data when .write() is called in rapid succession 
with large payloads 
([#9446](https://github-redirect.dependabot.com/twisted/twisted/issues/9446))
   > - twisted.application.backoffPolicy will not fail on connection attempts > 
1750 with default settings. 
([#9476](https://github-redirect.dependabot.com/twisted/twisted/issues/9476))
   > - Trial on Python 3 will now properly re-raise ImportErrors that occur 
during the import of a module, rather than saying the module doesn't exist. 
([#9628](https://github-redirect.dependabot.com/twisted/twisted/issues/9628))
   > - twisted.internet.process does not fail on import when the process has 
more than 1024 file descriptors opened. 
([#9636](https://github-redirect.dependabot.com/twisted/twisted/issues/9636))
   > - Add the stackLevel keyword argument to 
twisted.logger.STDLibLogObserver._findCaller to fix an incompatibility with 
Python 3.8. 
([#9668](https://github-redirect.dependabot.com/twisted/twisted/issues/9668))
   > 
   > 
   > Improved Documentation
   > ----------------------
   > 
   > - Fix the incorrect docstring for 
twisted.python.components.Componentized.addComponent which stated that the 
function returned a list of interfaces, even though the function doesn't 
actually do so. 
([#9637](https://github-redirect.dependabot.com/twisted/twisted/issues/9637))
   > 
   > 
   > Deprecations and Removals
   > -------------------------
   > 
   > - twisted.test.proto_helpers has moved to twisted.internet.testing. 
twisted.test.proto_helpers has been deprecated. 
([#6435](https://github-redirect.dependabot.com/twisted/twisted/issues/6435))
   > - twisted.protocols.mice, deprecated since Twisted 16.0, has been removed. 
([#9602](https://github-redirect.dependabot.com/twisted/twisted/issues/9602))
   > - twisted.conch.insults.client and twisted.conch.insults.colors, 
deprecated since Twisted 10.1, have been removed. 
([#9603](https://github-redirect.dependabot.com/twisted/twisted/issues/9603))
   > - The __version__ attribute of Twisted submodules that were previously 
packaged separately, deprecated since Twisted 16.0, has been removed. 
([#9604](https://github-redirect.dependabot.com/twisted/twisted/issues/9604))
   > - Python 3.4 is no longer supported. 
([#9613](https://github-redirect.dependabot.com/twisted/twisted/issues/9613))
   > - twisted.python.compat.OrderedDict, an alias for collections.OrderedDict 
and deprecated since Twisted 15.5, has been removed. 
([#9639](https://github-redirect.dependabot.com/twisted/twisted/issues/9639))
   > 
   > 
   > Misc
   > ----
   > 
   > - 
[#9217](https://github-redirect.dependabot.com/twisted/twisted/issues/9217), 
[#9445](https://github-redirect.dependabot.com/twisted/twisted/issues/9445), 
[#9454](https://github-redirect.dependabot.com/twisted/twisted/issues/9454), 
[#9605](https://github-redirect.dependabot.com/twisted/twisted/issues/9605), 
[#9614](https://github-redirect.dependabot.com/twisted/twisted/issues/9614), 
[#9615](https://github-redirect.dependabot.com/twisted/twisted/issues/9615), 
[#9619](https://github-redirect.dependabot.com/twisted/twisted/issues/9619), 
[#9625](https://github-redirect.dependabot.com/twisted/twisted/issues/9625), 
[#9633](https://github-redirect.dependabot.com/twisted/twisted/issues/9633), 
[#9640](https://github-redirect.dependabot.com/twisted/twisted/issues/9640), 
[#9674](https://github-redirect.dependabot.com/twisted/twisted/issues/9674)
   > 
   > 
   > Conch
   ></tr></table> ... (truncated)
   </details>
   <details>
   <summary>Commits</summary>
   
   - 
[`f2ff3f9`](https://github.com/twisted/twisted/commit/f2ff3f96922a7a40ddcb905a6ead0b4e7155470c)
 Fix something Incremental missed
   - 
[`04d865d`](https://github.com/twisted/twisted/commit/04d865d8cc5dd42062441a9661fec5a82cb1489b)
 Towncrier for 19.7.0
   - 
[`0f3e8cd`](https://github.com/twisted/twisted/commit/0f3e8cd6890b7bd97494d4678fbe39601ac1bad8)
 Incremental to 19.7.0
   - 
[`4d61c62`](https://github.com/twisted/twisted/commit/4d61c62cd0a6116cd65ba937262ddddd162482c6)
 Move some miscategorised newsfragments
   - 
[`7d88fca`](https://github.com/twisted/twisted/commit/7d88fca85a4e93fba9ee9adfdc2f442205bcce58)
 Revert "towncrier for 19.7.0rc1"
   - 
[`17084ea`](https://github.com/twisted/twisted/commit/17084eab78b12a59b42e3a3c460faf0fdb080f10)
 towncrier for 19.7.0rc1
   - 
[`6e8cb44`](https://github.com/twisted/twisted/commit/6e8cb44fb0c1637be099bdd5c19059ddbe034c03)
 incremental to 19.7.0
   - 
[`ab6156f`](https://github.com/twisted/twisted/commit/ab6156fa761832b6711b2484665cabd07906f491)
 Merge pull request 
[#1143](https://github-redirect.dependabot.com/twisted/twisted/issues/1143) 
from twisted/9628-trial3-importerror
   - 
[`e0b696f`](https://github.com/twisted/twisted/commit/e0b696f17260fc17cd5a9b3e7bc3ad1bc0ffdd54)
 Merge branch 'trunk' into 9628-trial3-importerror
   - 
[`5b203b2`](https://github.com/twisted/twisted/commit/5b203b267f9869f2bd6e3ed17dcdaafa1fa227d3)
 Merge ryban:8258-ryban-hmac-sha2-512-fix: Fix SSH not generating correct 
keys...
   - Additional commits viewable in [compare 
view](https://github.com/twisted/twisted/compare/twisted-18.7.0...twisted-19.7.0)
   </details>
   <br />
   
   [![Dependabot compatibility 
score](https://dependabot-badges.githubapp.com/badges/compatibility_score?dependency-name=twisted&package-manager=pip&previous-version=18.7.0&new-version=19.7.0)](https://help.github.com/articles/configuring-automated-security-fixes)
   
   Dependabot will resolve any conflicts with this PR as long as you don't 
alter it yourself. You can also trigger a rebase manually by commenting 
`@dependabot rebase`.
   
   [//]: # (dependabot-automerge-start)
   [//]: # (dependabot-automerge-end)
   
   ---
   
   <details>
   <summary>Dependabot commands and options</summary>
   <br />
   
   You can trigger Dependabot actions by commenting on this PR:
   - `@dependabot rebase` will rebase this PR
   - `@dependabot recreate` will recreate this PR, overwriting any edits that 
have been made to it
   - `@dependabot merge` will merge this PR after your CI passes on it
   - `@dependabot squash and merge` will squash and merge this PR after your CI 
passes on it
   - `@dependabot cancel merge` will cancel a previously requested merge and 
block automerging
   - `@dependabot reopen` will reopen this PR if it is closed
   - `@dependabot ignore this [patch|minor|major] version` will close this PR 
and stop Dependabot creating any more for this minor/major version (unless you 
reopen the PR or upgrade to it yourself)
   - `@dependabot ignore this dependency` will close this PR and stop 
Dependabot creating any more for this dependency (unless you reopen the PR or 
upgrade to it yourself)
   - `@dependabot use these labels` will set the current labels as the default 
for future PRs for this repo and language
   - `@dependabot use these reviewers` will set the current reviewers as the 
default for future PRs for this repo and language
   - `@dependabot use these assignees` will set the current assignees as the 
default for future PRs for this repo and language
   - `@dependabot use this milestone` will set the current milestone as the 
default for future PRs for this repo and language
   
   You can disable automated security fix PRs for this repo from the [Security 
Alerts page](https://github.com/apache/openwhisk-runtime-python/network/alerts).
   
   </details>

----------------------------------------------------------------
This is an automated message from the Apache Git Service.
To respond to the message, please log on to GitHub and use the
URL above to go to the specific comment.
 
For queries about this service, please contact Infrastructure at:
us...@infra.apache.org


With regards,
Apache Git Services

Reply via email to